Update social post
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/marketing/social-posts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"accountIds": [
"<string>"
],
"mediaUrls": [
"<string>"
],
"scheduledAt": "2023-11-07T05:31:56Z",
"publishNow": true,
"title": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
accountIds: ['<string>'],
mediaUrls: ['<string>'],
scheduledAt: '2023-11-07T05:31:56Z',
publishNow: true,
title: '<string>'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/social-posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/social-posts/{id}"
payload = {
"body": "<string>",
"accountIds": ["<string>"],
"mediaUrls": ["<string>"],
"scheduledAt": "2023-11-07T05:31:56Z",
"publishNow": True,
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "<string>",
"content": "<string>",
"mediaUrls": [
"<string>"
],
"hashtags": [
"<string>"
],
"linkUrl": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"status": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"providerId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Social posts
Update social post
Requires write:campaigns. Update draft content or reschedule via Late.
PATCH
/
api
/
v1
/
marketing
/
social-posts
/
{id}
Update social post
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/marketing/social-posts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"accountIds": [
"<string>"
],
"mediaUrls": [
"<string>"
],
"scheduledAt": "2023-11-07T05:31:56Z",
"publishNow": true,
"title": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
accountIds: ['<string>'],
mediaUrls: ['<string>'],
scheduledAt: '2023-11-07T05:31:56Z',
publishNow: true,
title: '<string>'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/social-posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/social-posts/{id}"
payload = {
"body": "<string>",
"accountIds": ["<string>"],
"mediaUrls": ["<string>"],
"scheduledAt": "2023-11-07T05:31:56Z",
"publishNow": True,
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "<string>",
"content": "<string>",
"mediaUrls": [
"<string>"
],
"hashtags": [
"<string>"
],
"linkUrl": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"status": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"providerId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Path Parameters
Body
application/json
Response
Updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I